Description

Hello,

I'm trying to set up the latest version of prelude OSS on raspbian. With some effort I installed almost everything.

However, I have a problem with prewikka whose installation doesn't work. I have installed all the dependencies.

But I'm getting some errors when I run this command -> python setup.py install

root@raspberrypi:/home/prelude/prewikka-5.0.2# python setup.py install

running install

running build

running compile_catalog

error: prewikka/locale/de/LC_MESSAGES/prewikka.po:1560: placeholders are incompatible

compiling catalog prewikka/locale/de/LC_MESSAGES/prewikka.po to prewikka/locale/de/LC_MESSAGES/pre

wikka.mo

error: prewikka/locale/ru/LC_MESSAGES/prewikka.po:47: unknown named placeholder u'value'

error: prewikka/locale/ru/LC_MESSAGES/prewikka.po:162: unknown named placeholder u'version'

error: prewikka/locale/ru/LC_MESSAGES/prewikka.po:1593: placeholders are incompatible

compiling catalog prewikka/locale/ru/LC_MESSAGES/prewikka.po to prewikka/locale/ru/LC_MESSAGES/pre

wikka.mo

error: prewikka/locale/pl/LC_MESSAGES/prewikka.po:1587: placeholders are incompatible

error: prewikka/locale/pl/LC_MESSAGES/prewikka.po:1870: placeholders are incompatible

compiling catalog prewikka/locale/pl/LC_MESSAGES/prewikka.po to prewikka/locale/pl/LC_MESSAGES/pre

wikka.mo

error: prewikka/locale/es/LC_MESSAGES/prewikka.po:1554: placeholders are incompatible

error: prewikka/locale/es/LC_MESSAGES/prewikka.po:2126: placeholders are incompatible

error: prewikka/locale/es/LC_MESSAGES/prewikka.po:2226: placeholders are incompatible

error: prewikka/locale/es/LC_MESSAGES/prewikka.po:2231: placeholders are incompatible

compiling catalog prewikka/locale/es/LC_MESSAGES/prewikka.po to prewikka/locale/es/LC_MESSAGES/pre

wikka.mo

error: prewikka/locale/pt_BR/LC_MESSAGES/prewikka.po:1546: placeholders are incompatible

error: prewikka/locale/pt_BR/LC_MESSAGES/prewikka.po:2119: placeholders are incompatible

compiling catalog prewikka/locale/pt_BR/LC_MESSAGES/prewikka.po to prewikka/locale/pt_BR/LC_MESSAG

ES/prewikka.mo

compiling catalog prewikka/locale/fr/LC_MESSAGES/prewikka.po to prewikka/locale/fr/LC_MESSAGES/pre

wikka.mo

error: prewikka/locale/it/LC_MESSAGES/prewikka.po:43: unknown named placeholder u'value'

error: prewikka/locale/it/LC_MESSAGES/prewikka.po:1550: placeholders are incompatible

compiling catalog prewikka/locale/it/LC_MESSAGES/prewikka.po to prewikka/locale/it/LC_MESSAGES/pre

wikka.mo

compiling catalog prewikka/locale/en/LC_MESSAGES/prewikka.po to prewikka/locale/en/LC_MESSAGES/pre

wikka.mo

running build_custom

compiling ['themes/dark.less', 'prewikka/htdocs/css/style.less'] -> prewikka/htdocs/css/themes/dar

k.css

error: [Errno 2] No such file or directory

 

there is a problem with languages. The second problem I guess it is: prewikka/htdocs/css/themes/dark.css that is not found.

Package installation does not seem possible in version 5 for a debian-based distribution (4 is the last version i found).
Do you have any idea how to solve this?

Regards

History

#1 - 08/01/2019 01:53 PM - Antoine LUONG

Hello,

You probably lack the python-lesscpy dependency.

The errors about incompatible placeholders come from missing translations, but they can be safely ignored in this case.

Regards

#2 - 08/01/2019 01:53 PM - Antoine LUONG

- Status changed from New to Assigned

#3 - 08/02/2019 08:36 AM - Marc-Antoine delannoy

Antoine LUONG wrote:

Hello,

You probably lack the python-lesscpy dependency.

The errors about incompatible placeholders come from missing translations, but they can be safely ignored in this case.

Regards

 

Thanks,

the installation works but i have segmentation fault when i use /usr/local/bin/prewikka-httpd.

PYTHONPATH is set with /usr/lib/python2.7/site-packages:/usr/local/bin/prewikka-httpd.

I have installed libprelude with python binding and libpreludedb with mysql binding.

All tables seem to be correctly created and user/password are valid in /etc/prewikka/prewikka.conf

how can i give you more information to help?
